你当前正在访问 Microsoft Azure Global Edition 技术文档网站。 如果需要访问由世纪互联运营的 Microsoft Azure 中国技术文档网站,请访问 https://docs.azure.cn

Table Services - List

列出存储帐户的所有表服务。

GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Storage/storageAccounts/{accountName}/tableServices?api-version=2026-04-01

URI 参数

名称 必需 类型 说明
accountName
path True

string

minLength: 3
maxLength: 24
pattern: ^[a-z0-9]+$

指定资源组中的存储帐户的名称。 存储帐户名称长度必须为 3 到 24 个字符,并且只能使用数字和小写字母。

resourceGroupName
path True

string

minLength: 1
maxLength: 90

资源组的名称。 此名称不区分大小写。

subscriptionId
path True

string (uuid)

目标订阅的 ID。 该值必须是 UUID。

api-version
query True

string

minLength: 1

用于此作的 API 版本。

响应

名称 类型 说明
200 OK

ListTableServices

Azure 运营顺利完成。

Other Status Codes

CloudError

意外的错误响应。

安全性

azure_auth

Azure Active Directory OAuth2 Flow.

类型: oauth2
流向: implicit
授权 URL: https://login.microsoftonline.com/common/oauth2/authorize

作用域

名称 说明
user_impersonation 模拟用户帐户

示例

TableServicesList

示例请求

GET https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/res9290/providers/Microsoft.Storage/storageAccounts/sto1590/tableServices?api-version=2026-04-01

示例响应

{
  "value": [
    {
      "name": "default",
      "type": "Microsoft.Storage/storageAccounts/tableServices",
      "id": "/subscriptions/{subscription-id}/resourceGroups/res4410/providers/Microsoft.Storage/storageAccounts/sto8607/tableServices/default",
      "properties": {
        "cors": {
          "corsRules": [
            {
              "allowedHeaders": [
                "x-ms-meta-abc",
                "x-ms-meta-data*",
                "x-ms-meta-target*"
              ],
              "allowedMethods": [
                "GET",
                "HEAD",
                "POST",
                "OPTIONS",
                "MERGE",
                "PUT"
              ],
              "allowedOrigins": [
                "http://www.contoso.com",
                "http://www.fabrikam.com"
              ],
              "exposedHeaders": [
                "x-ms-meta-*"
              ],
              "maxAgeInSeconds": 100
            },
            {
              "allowedHeaders": [
                "*"
              ],
              "allowedMethods": [
                "GET"
              ],
              "allowedOrigins": [
                "*"
              ],
              "exposedHeaders": [
                "*"
              ],
              "maxAgeInSeconds": 2
            },
            {
              "allowedHeaders": [
                "x-ms-meta-12345675754564*"
              ],
              "allowedMethods": [
                "GET",
                "PUT"
              ],
              "allowedOrigins": [
                "http://www.abc23.com",
                "https://www.fabrikam.com/*"
              ],
              "exposedHeaders": [
                "x-ms-meta-abc",
                "x-ms-meta-data*",
                "x-ms-meta-target*"
              ],
              "maxAgeInSeconds": 2000
            }
          ]
        }
      }
    }
  ]
}

定义

名称 说明
AllowedMethods
CloudError

存储服务的错误响应。

CloudErrorBody

存储服务的错误响应。

CorsRule

指定 Blob 服务的 CORS 规则。

CorsRules

设置 CORS 规则。 请求中最多可以包含五个 CorsRule 元素。

createdByType

创建资源的标识的类型。

ListTableServices
systemData

与创建和上次修改资源相关的元数据。

TableServiceProperties

存储帐户的表服务的属性。

AllowedMethods

说明
DELETE
GET
HEAD
MERGE
POST
OPTIONS
PUT
PATCH
CONNECT
TRACE

CloudError

存储服务的错误响应。

名称 类型 说明
error

CloudErrorBody

存储服务的错误响应。

CloudErrorBody

存储服务的错误响应。

名称 类型 说明
code

string

错误的标识符。 代码是固定的,旨在以编程方式使用。

details

CloudErrorBody[]

有关错误的其他详细信息的列表。

message

string

描述错误的消息,旨在适合在用户界面中显示。

target

string

特定错误的目标。 例如,错误属性的名称。

CorsRule

指定 Blob 服务的 CORS 规则。

名称 类型 说明
allowedHeaders

string[]

如果存在 CorsRule 元素,则为必需。 允许作为跨域请求的一部分的标头列表。

allowedMethods

AllowedMethods[]

如果存在 CorsRule 元素,则为必需。 源允许执行的 HTTP 方法的列表。

allowedOrigins

string[]

如果存在 CorsRule 元素,则为必需。 将允许通过 CORS 或“*”允许所有域的源域列表

exposedHeaders

string[]

如果存在 CorsRule 元素,则为必需。 要向 CORS 客户端公开的响应标头列表。

maxAgeInSeconds

integer (int32)

如果存在 CorsRule 元素,则为必需。 客户端/浏览器应缓存预检响应的秒数。

CorsRules

设置 CORS 规则。 请求中最多可以包含五个 CorsRule 元素。

名称 类型 说明
corsRules

CorsRule[]

CORS 规则列表。 请求中最多可以包含五个 CorsRule 元素。

createdByType

创建资源的标识的类型。

说明
User
Application
ManagedIdentity
Key

ListTableServices

名称 类型 说明
value

TableServiceProperties[]

返回的表服务列表。

systemData

与创建和上次修改资源相关的元数据。

名称 类型 说明
createdAt

string (date-time)

资源创建时间戳(UTC)。

createdBy

string

创建资源的标识。

createdByType

createdByType

创建资源的标识的类型。

lastModifiedAt

string (date-time)

上次修改的资源时间戳(UTC)

lastModifiedBy

string

上次修改资源的标识。

lastModifiedByType

createdByType

上次修改资源的标识的类型。

TableServiceProperties

存储帐户的表服务的属性。

名称 类型 说明
id

string (arm-id)

资源的完全限定的资源 ID。 例如,“/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}”

name

string

资源的名称

properties.cors

CorsRules

指定表服务的 CORS 规则。 请求中最多可以包含五个 CorsRule 元素。 如果请求正文中不包含 CorsRule 元素,将删除所有 CORS 规则,并且将禁用表服务的 CORS。

systemData

systemData

包含 createdBy 和 modifiedBy 信息的 Azure 资源管理器元数据。

type

string

资源类型。 例如“Microsoft.Compute/virtualMachines”或“Microsoft.Storage/storageAccounts”